Page MenuHomePhabricator

[clang-tidy] misc-string-integer-assignment: fix false positive
ClosedPublic

Authored by courbet on Feb 25 2019, 4:27 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

courbet created this revision.Feb 25 2019, 4:27 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 25 2019, 4:27 AM
Eugene.Zelenko edited projects, added Restricted Project; removed Restricted Project.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 25 2019, 4:44 AM

The change looks good but it would be great to have a regression test as well.

courbet updated this revision to Diff 188318.Feb 26 2019, 12:03 AM
  • add more tests
  • Traverse using decls.
JonasToth accepted this revision.Feb 27 2019, 4:30 AM

LGTM.
is there a bug or similar? If yes please mention it somewhere in the summary or so and close it :)

This revision is now accepted and ready to land.Feb 27 2019, 4:30 AM
alexfh accepted this revision.Feb 27 2019, 2:34 PM

LG. Thanks for improving this check!

courbet edited the summary of this revision. (Show Details)Feb 28 2019, 12:22 AM

Thanks !

is there a bug or similar? If yes please mention it somewhere in the summary or so and close it :)

Yes, PR27723. Done.

MyDeveloperDay edited the summary of this revision. (Show Details)Feb 28 2019, 2:07 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 28 2019, 2:34 AM